#1 24.04.2018 16:00:10

stefanhusmann
Moderator

Aktualisierung auf glibc 2.27-2 & pam 1.3.0-2 mit manuellen Eingriffen

Da bei der Aktualisierung auf glibc 2.27-2 die Unterstützung für NIS und NIS+ entfernt wurde, erfordert sie unter Umsständen manuelle Eingriffe. Die mit dem Paket filesystems kommende Datei /etc/nsswitch.conf ist auf diese Veränderung hin schon angepasst, aber eventuell muss hier eine bestehende, angepasste Datei bit der entsprechenden pacnew-Datei zusammengeführt werden, und dies besser vor der Aktualisierung.

NIS-Funktionalität kann mittels des Paketes libnss_nis installiert werden. Zu NIS+ gibt es kein offizielles Paket mehr.

pam 1.3.0-2 enthält keine pam_nix2-Module und keine symbolischen Kompatibilitäts-Verküpfungen zu pa_unis_*.so mehr. Konfigurationsdateien unter /etc/pam.d sollten daher untersucht werden, und darin alle Module, die entfernt wurden, durch pam_unix.so ersetzt werden. Benutzer von pam_unix2 sollten dabei auch Passwörter ändern. Dies ist nicht nötig, wenn nur die Standards aus dem pambase-Paket verwendet werden.

Offline

#2 24.04.2018 16:09:37

schard
Mitglied

Re: Aktualisierung auf glibc 2.27-2 & pam 1.3.0-2 mit manuellen Eingriffen

Gut, dass ich zufällig Anfang des Monats damit begonnen habe, die zentrale Benutzerverwaltung auf dem Vereinshaus von NIS auf OpenLDAP zu migrieren.
Ruhe in Frieden, NIS.

Offline

#3 24.04.2018 16:47:26

stefanhusmann
Moderator

Re: Aktualisierung auf glibc 2.27-2 & pam 1.3.0-2 mit manuellen Eingriffen

Der frühe Vogel fängt den Wurm.

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums